Bug 155654 - linux/watchdog.h missing ioctls
Summary: linux/watchdog.h missing ioctls
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc-kernheaders   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-22 09:33 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-597
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 17:31:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:597 qe-ready SHIPPED_LIVE glibc-kernheaders bug fix update 2005-09-28 04:00:00 UTC

Description Bastien Nocera 2005-04-22 09:33:30 UTC
+++ This bug was initially created as a clone of Bug #155653 +++

WDIOC_SETTIMEOUT and WDIOC_GETTIMEOUT are missing from the kernheaders

--- /usr/include/linux/watchdog.h       2001-10-23 20:55:51.000000000 +0300
+++ /lib/modules/2.6.9-5.0.3.ELsmp/build/include/linux/watchdog.h      
2004-10-19 00:54:40.000000000 +0300
@@ -10,6 +10,7 @@
#define _LINUX_WATCHDOG_H

#include <linux/ioctl.h>
+#include <linux/types.h>

#define        WATCHDOG_IOCTL_BASE     'W'

@@ -25,6 +26,8 @@
#define        WDIOC_GETTEMP           _IOR(WATCHDOG_IOCTL_BASE, 3, int)
#define        WDIOC_SETOPTIONS        _IOR(WATCHDOG_IOCTL_BASE, 4, int)
#define        WDIOC_KEEPALIVE         _IOR(WATCHDOG_IOCTL_BASE, 5, int)
+#define        WDIOC_SETTIMEOUT        _IOWR(WATCHDOG_IOCTL_BASE, 6, int)
+#define        WDIOC_GETTIMEOUT        _IOR(WATCHDOG_IOCTL_BASE, 7, int)

#define        WDIOF_UNKNOWN           -1      /* Unknown flag error */
#define        WDIOS_UNKNOWN           -1      /* Unknown status error */
@@ -36,6 +39,8 @@
#define        WDIOF_POWERUNDER        0x0010  /* Power bad/power fault */
#define        WDIOF_CARDRESET         0x0020  /* Card previously reset the CPU */
#define WDIOF_POWEROVER                0x0040  /* Power over voltage */
+#define WDIOF_SETTIMEOUT       0x0080  /* Set timeout (in seconds) */
+#define WDIOF_MAGICCLOSE       0x0100  /* Supports magic close char */
#define        WDIOF_KEEPALIVEPING     0x8000  /* Keep alive ping reply */

#define        WDIOS_DISABLECARD       0x0001  /* Turn off the watchdog timer */

Comment 3 Tom Kincaid 2005-08-26 17:41:03 UTC
Moving directly to the CanFixList. Been through development and through QA. This
is a one time shot with this. Please use the proppoer process in the future.

Comment 4 Red Hat Bugzilla 2005-09-28 17:31:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-597.html



Note You need to log in before you can comment on or make changes to this bug.